//=============================================================================
// File: ACPRD_KEYB.H - V1.00
// Rem.: The ACPRD Project Page on the Web -> http://hc12web.de/acprd
//=============================================================================

#ifndef __ACPRD_KEYB_H
#define __ACPRD_KEYB_H

//-- Definitions --------------------------------------------------------------

#define KEYB_MAX_KEYS		5		// total number of push buttons (channels)
#define KEYB_KC1			1
#define KEYB_KC2			2
#define KEYB_KC3			3
#define KEYB_KC4			4
#define KEYB_KC5			5

//-- Includes -----------------------------------------------------------------

//-- Datatype Definitions -----------------------------------------------------

//-- Extern Declarations ------------------------------------------------------

//-- Macros -------------------------------------------------------------------

//-- Function Prototypes ------------------------------------------------------

void initKeyb(void);
void flushKeyb(void);
void scanKeyb(void);
void putKeyb(UINT8 kcode);
UINT8 hasKeyb(void);
UINT8 getKeyb(void);

#endif //__ACPRD_KEYB_H =======================================================

