//=============================================================================
// File: ACPRD_SONG.H - V1.00
// Rem.: The ACPRD Project Page on the Web -> http://hc12web.de/acprd
//=============================================================================

#ifndef __ACPRD_SONG_H
#define __ACPRD_SONG_H

//-- Note Definitions ---------------------------------------------------------

// note codes (Bit0..3)
#define _C	    0x0001
#define _CIS    0x0002
#define _D	    0x0003
#define _DIS    0x0004
#define _E	    0x0005
#define _F	    0x0006
#define _FIS    0x0007
#define _G	    0x0008
#define _GIS    0x0009
#define _A	    0x000a
#define _AIS    0x000b
#define _H	    0x000c
// pause
#define _PP		0x0000

// octave codes (Bit4..7)
#define _HIGH	0x0000
#define _DEEP	0x0010

// duration codes (Bit8..13)
#define _1_8    0x0400
#define _1_4	0x0800
#define _3_8	0x0c00
#define _1_2	0x1000
#define _1_1	0x2000

// end of song code (all zero)
#define _STOP	0x0000

//-- Function Prototypes ------------------------------------------------------

void initSong(void);
void startSong(const UINT16 *asong);
UINT16 *hasSong(void);
void handleSong(void);

#endif //__ACPRD_SONG_H =======================================================
