//=============================================================================
// File: ACPRD_TIMER.H - V1.00
// Rem.: The ACPRD Project Page on the Web -> http://hc12web.de/acprd
//=============================================================================

#ifndef __ACPRD_TIMER_H
#define __ACPRD_TIMER_H

//-- Includes -----------------------------------------------------------------

#include "s12_crg.h"	// contains S12_ECLK value

//-- Definitions --------------------------------------------------------------

#define TIMER_INTS_PER_SEC	100			// every 10ms
#define TIMER_MDC_PRE		4
#define TIMER_MDC_COUNT 	(S12_ECLK / (TIMER_MDC_PRE * TIMER_INTS_PER_SEC))

//-- Extern Declarations ------------------------------------------------------

//-- Function Prototypes ------------------------------------------------------

void initTimer(void (*ufunc)(void));
void isrMDCU(void);

#endif //__ACPRD_TIMER_H ======================================================

