//=============================================================================
// File: DISPLAY.H - V1.00
// Rem.: The ACPRD Project Page on the Web -> http://hc12web.de/acprd
//=============================================================================

#ifndef __DISPLAY_H
#define __DISPLAY_H

//-- Definitions --------------------------------------------------------------

#define DISP_MAXX	40
#define DISP_MAXY	8
#define DISP_SIZE	DISP_MAXX * DISP_MAXY

//-- Extern Declarations ------------------------------------------------------

extern UINT16 disp_buf[];

//-- Function Prototypes ------------------------------------------------------

void initDisp(void);
void clearDisp(void);
void putcDisp(UINT16 c);
void putsDisp(UINT8 *s);
void gotoxyDisp(UINT8 x, UINT8 y);
UINT16 getDispCursor(void);
void setDispCursor(UINT16 cur);

void prDispStr(const UINT8 *s);
void prDispMult(UINT16 count, UINT16 c);
void prDispSpace(void);
void prDisp01d(UINT16 d);
void prDisp02d(UINT16 d);
void prDisp04d(UINT16 d);

#endif //__DISPLAY_H ==========================================================

