//=============================================================================
// File: FONT1.C - V1.00
// Rem.: The ACPRD Project Page on the Web -> http://hc12web.de/acprd
//=============================================================================

//-- funny patterns to "graphically" define character set ---------------------

#define ______	0x00
#define _____O	0x01
#define ____O_	0x02
#define ____OO	0x03
#define ___O__	0x04
#define ___O_O	0x05
#define ___OO_	0x06
#define ___OOO	0x07
#define __O___	0x08
#define __O__O	0x09
#define __O_O_	0x0a
#define __O_OO	0x0b
#define __OO__	0x0c
#define __OO_O	0x0d
#define __OOO_	0x0e
#define __OOOO	0x0f
#define _O____	0x10
#define _O___O	0x11
#define _O__O_	0x12
#define _O__OO	0x13
#define _O_O__	0x14
#define _O_O_O	0x15
#define _O_OO_	0x16
#define _O_OOO	0x17
#define _OO___	0x18
#define _OO__O	0x19
#define _OO_O_	0x1a
#define _OO_OO	0x1b
#define _OOO__	0x1c
#define _OOO_O	0x1d
#define _OOOO_	0x1e
#define _OOOOO	0x1f
#define O_____	0x20
#define O____O	0x21
#define O___O_	0x22
#define O___OO	0x23
#define O__O__	0x24
#define O__O_O	0x25
#define O__OO_	0x26
#define O__OOO	0x27
#define O_O___	0x28
#define O_O__O	0x29
#define O_O_O_	0x2a
#define O_O_OO	0x2b
#define O_OO__	0x2c
#define O_OO_O	0x2d
#define O_OOO_	0x2e
#define O_OOOO	0x2f
#define OO____	0x30
#define OO___O	0x31
#define OO__O_	0x32
#define OO__OO	0x33
#define OO_O__	0x34
#define OO_O_O	0x35
#define OO_OO_	0x36
#define OO_OOO	0x37
#define OOO___	0x38
#define OOO__O	0x39
#define OOO_O_	0x3a
#define OOO_OO	0x3b
#define OOOO__	0x3c
#define OOOO_O	0x3d
#define OOOOO_	0x3e
#define OOOOOO	0x3f

//-- the font -----------------------------------------------------------------

const UINT8 my_font[] = {

//---------- 0x80
	______	,
	______	,
	______	,
	______	,
	___OOO	,
	___O__	,
	___O__	,
	___O__	,

//---------- 0x81
	___O__	,
	___O__	,
	___O__	,
	___O__	,
	___O__	,
	___O__	,
	___O__	,
	___O__	,

//---------- 0x82
	___O__	,
	___O__	,
	___OOO	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0x83
	______	,
	______	,
	______	,
	______	,
	OOOOOO	,
	______	,
	______	,
	______	,

//---------- 0x84
	______	,
	______	,
	OOOOOO	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0x85
	______	,
	______	,
	______	,
	______	,
	OOOOOO	,
	___O__	,
	___O__	,
	___O__	,

//---------- 0x86
	___O__	,
	___O__	,
	OOOOOO	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0x87
	______	,
	______	,
	______	,
	______	,
	OOOO__	,
	___O__	,
	___O__	,
	___O__	,

//---------- 0x88
	___O__	,
	___O__	,
	OOOO__	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0x89
	___O__	,
	___O__	,
	___OOO	,
	______	,
	___OOO	,
	___O__	,
	___O__	,
	___O__	,

//---------- 0x8a
	___O__	,
	___O__	,
	OOOOOO	,
	______	,
	OOOOOO	,
	___O__	,
	___O__	,
	___O__	,

//---------- 0x8b
	___O__	,
	___O__	,
	OOOO__	,
	______	,
	OOOO__	,
	___O__	,
	___O__	,
	___O__	,

//---------- 0x8c
	______	,
	______	,
	__OOO_	,
	__OOO_	,
	__OOO_	,
	______	,
	______	,
	______	,

//---------- 0x8d
	_____O	,
	_____O	,
	_____O	,
	_____O	,
	_____O	,
	_____O	,
	_____O	,
	_____O	,

//---------- 0x8e
	OOOOOO	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0x8f
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	OOOOOO	,

//---------- 0x90 (Clock/left)
	__OOOO	,
	_O__O_	,
	_O__O_	,
	_O__OO	,
	_O____	,
	_O____	,
	__OOOO	,
	______	,

//---------- 0x91 (Clock/right)
	O_____	,
	_O____	,
	_O____	,
	OO____	,
	_O____	,
	_O____	,
	O_____	,
	______	,

//---------- 0x92 (grd)
	___OO_	,
	__O__O	,
	__O__O	,
	___OO_	,
	______	,
	______	,
	______	,
	______	,

//---------- 0x93 (Plug)
	__O_O_	,
	__O_O_	,
	_OOOOO	,
	_O___O	,
	_O___O	,
	__OOO_	,
	___O__	,
	______	,

//---------- 0x94 (Batt)
	______	,
	______	,
	__O_O_	,
	_OOOOO	,
	_O___O	,
	_O___O	,
	_OOOOO	,
	______	,

//---------- 0x95 (->)
	__O___	,
	__OO__	,
	OOOOO_	,
	OOOOOO	,
	OOOOO_	,
	__OO__	,
	__O___	,
	______	,

//---------- 0x96 (<-)
	___O__	,
	__OO__	,
	_OOOOO	,
	OOOOOO	,
	_OOOOO	,
	__OO__	,
	___O__	,
	______	,

//---------- 0x97 (^/left)
	______	,
	_____O	,
	____OO	,
	___OOO	,
	_____O	,
	_____O	,
	______	,
	______	,

//---------- 0x98 (^/right)
	O_____	,
	OO____	,
	OOO___	,
	OOOO__	,
	OO____	,
	OO____	,
	______	,
	______	,

//---------- 0x99 (Okay)
	______	,
	______	,
	_____O	,
	____O_	,
	_O_O__	,
	__O___	,
	______	,
	______	,

//---------- 0x9a (Silent)
	______	,
	______	,
	______	,
	___O__	,
	______	,
	______	,
	______	,
	______	,

//---------- 0x9b (Audible)
	_____O	,
	____OO	,
	_OOOOO	,
	_OOOOO	,
	_OOOOO	,
	____OO	,
	_____O	,
	______	,

//---------- 0x9c (Disabled)
	______	,
	______	,
	______	,
	_OOOOO	,
	______	,
	______	,
	______	,
	______	,

//---------- 0x9d (Armed/Instant)
	______	,
	__OOO_	,
	_O___O	,
	_O_O_O	,
	_O___O	,
	__OOO_	,
	______	,
	______	,

//---------- 0x9e (Armed/Delayed)
	__OOO_	,
	_O___O	,
	_O_O_O	,
	_O___O	,
	__OOO_	,
	______	,
	___OOO	,
	_OOO__	,

//---------- 0x9f (Alarm)
	______	,
	__OOO_	,
	_O___O	,
	_O___O	,
	_O___O	,
	_OOOOO	,
	___O__	,
	______	,

//---------- 0xa0 (Bell/left top)
	______	,
	____OO	,
	___OOO	,
	__OO__	,
	_OO___	,
	_OO___	,
	_OO___	,
	_OO___	,

//---------- 0xa1 (Bell/right top)
	______	,
	OO____	,
	OOO___	,
	__OO__	,
	___OO_	,
	___OO_	,
	___OO_	,
	___OO_	,

//---------- 0xa2 (Bell/left btm)
	_OO___	,
	_OO___	,
	_OOOOO	,
	OOOOOO	,
	___OO_	,
	__OO__	,
	_OO___	,
	______	,

//---------- 0xa3 (Bell/right btm)
	___OO_	,
	___OO_	,
	OOOOO_	,
	OOOOOO	,
	______	,
	______	,
	______	,
	______	,

//---------- 0xa4
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0xa5
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0xa6
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0xa7
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0xa8
	OOOOOO	,
	_OOOOO	,
	__OOOO	,
	___OOO	,
	____OO	,
	_____O	,
	______	,
	______	,

//---------- 0xa9
	OOOOOO	,
	OOOOOO	,
	OOOOO_	,
	OOOO__	,
	OOO___	,
	OO____	,
	O_____	,
	______	,

//---------- 0xaa
	OOOOOO	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0xab
	OOO___	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0xac
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0xad
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0xae
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0xaf
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,

//---------- 0xb0
	______	,
	_OOOO_	,
	_O__O_	,
	_O__O_	,
	_O__O_	,
	_OOOO_	,
	______	,
	OOOOOO	,

//---------- 0xb1
	______	,
	___O__	,
	__OO__	,
	___O__	,
	___O__	,
	___O__	,
	______	,
	OOOOOO	,

//---------- 0xb2
	______	,
	_OOOO_	,
	____O_	,
	__OOO_	,
	_O____	,
	_OOOO_	,
	______	,
	OOOOOO	,

//---------- 0xb3
	______	,
	_OOOO_	,
	____O_	,
	__OOO_	,
	____O_	,
	_OOOO_	,
	______	,
	OOOOOO	,

//---------- 0xb4
	______	,
	_O____	,
	_O__O_	,
	_OOOO_	,
	____O_	,
	____O_	,
	______	,
	OOOOOO	,

//---------- 0xb5
	______	,
	_OOOO_	,
	_O____	,
	_OOOO_	,
	____O_	,
	_OOOO_	,
	______	,
	OOOOOO	,

//---------- 0xb6
	______	,
	_OOOO_	,
	_O____	,
	_OOOO_	,
	_O__O_	,
	_OOOO_	,
	______	,
	OOOOOO	,

//---------- 0xb7
	______	,
	_OOOO_	,
	_O__O_	,
	_O__O_	,
	____O_	,
	____O_	,
	______	,
	OOOOOO	,

//---------- 0xb8
	______	,
	_OOOO_	,
	_O__O_	,
	_OOOO_	,
	_O__O_	,
	_OOOO_	,
	______	,
	OOOOOO	,

//---------- 0xb9
	______	,
	_OOOO_	,
	_O__O_	,
	_OOOO_	,
	____O_	,
	_OOOO_	,
	______	,
	OOOOOO	,

	};

//---------- 0x00
/*	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
	______	,
*/

//=============================================================================

