//=============================================================================
// File: S12CO_SPIIO.H - V1.00
// Rem.: The ACPRD Project Page on the Web -> http://hc12web.de/acprd
//=============================================================================

#ifndef __S12CO_SPIIO_H
#define __S12CO_SPIIO_H

//-- Definitions --------------------------------------------------------------

// SPI0 chip select signals
#define S12CO_SPICS0_WR	0x00	// RTC Write
#define S12CO_SPICS0_RD	0x80	// RTC Read
#define S12CO_SPICS1	0x90	// DAC
#define S12CO_SPICS2	0xa0	// ADC
#define S12CO_SPICS3	0xb0	// PI Shift
#define S12CO_SPICS4	0xc0	// PI Load
#define S12CO_SPICS5	0xd0	// PO
#define S12CO_SPICS6	0xe0	// User CS
#define S12CO_SPICSH	0xf0	// disable all

//-- Function Prototypes ------------------------------------------------------

void initSPIIO(void);
UINT8 getSPIPI(void);
void putSPIPO(UINT8 abyte);
UINT16 getADS8344(UINT8 channel);
void putDAC8532(UINT8 channel, UINT16 value);

#endif //__S12CO_SPIIO_H ======================================================

